pub fn task_one(input: &str) -> String {
    let mut x = 1;
    let mut cycles: Vec<isize> = Vec::new();

    for line in input.trim().lines() {
        let mut split = line.split_whitespace();

        match split.next().unwrap() {
            "noop" => {
                cycles.push(x);
            }
            "addx" => {
                cycles.push(x);
                cycles.push(x);
                x += split.next().unwrap().parse::<isize>().unwrap();
            }
            _ => panic!(),
        }
    }

    let interesing: Vec<usize> = vec![20, 60, 100, 140, 180, 220];
    let mut sum = 0;

    for i in interesing {
        sum += cycles[i - 1].checked_mul(i as isize).unwrap();
    }

    sum.to_string()
}

pub fn task_two(input: &str) -> String {
    String::new()
}
